Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 912057 - PRD35 - [RFE] webadmin [TEXT]: unclear warning that template of linked vm does not exist in export domain
Summary: PRD35 - [RFE] webadmin [TEXT]: unclear warning that template of linked vm doe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.1.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-02-17 14:14 UTC by Dafna Ron
Modified: 2015-02-11 17:52 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.5.0_alpha1.1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 17:52:09 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 24041 None None None Never

Description Dafna Ron 2013-02-17 14:14:37 UTC
Description of problem:

we have a warning in UI when we are about to export a linked vm to export domain and the template does not exist in export domain. 
however, its not really clear that it's a warning. 
can we add the work "Warning" or/and "do you wish to continue?" to it?

Version-Release number of selected component (if applicable):

si27 (3.1.3) 

How reproducible:

100%

Steps to Reproduce:
1. create a vm from template with thin provision copy
2. export the vm when the template does not exist in the export domain
3.
  
Actual results:

we are showing a warning that the template does not exist in the export domain. but its not clear that it is a warning - at first I thought that the operation was being blocked. 

Expected results:

it would be better if we make it clearer that it is a warning

Additional info:

The following templates are missing on the target Export Domain:
Template TEMPLATE (for LINKED)

Comment 1 Raz Tamir 2014-08-11 15:20:35 UTC
Verified - ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch

"The following virtual machines are based on templates which do not exist on the export domain and are required for the virtual machines to function.
If you proceed you will not be able to import these virtual machines unless you already have the relevant templates on the target domains.
Do you wish to continue anyway?
- Template templ_vm_0 (for from_tmp)"

Comment 3 errata-xmlrpc 2015-02-11 17:52:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.